Bug 167074 - OpenSSL 0.9.7f-7, is missing important features from OpenSSL 0.9.8
OpenSSL 0.9.7f-7, is missing important features from OpenSSL 0.9.8
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 19:25 EDT by Steffen Yount
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 02:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steffen Yount 2005-08-29 19:25:31 EDT
Description of problem:
The current version of OpenSSL (0.9.7f-7) doesn't support VIA's padlock 
hardware encryption engine, while the newer version of OpenSSL (0.9.8) 
availible at www.openssl.org does.

Version-Release number of selected component (if applicable):
openssl-0.9.7f-7

How to reproduce, at the prompt type:
$ openssl engine padlock

Output should look like:
$ openssl engine padlock
(padlock) VIA PadLock (RNG, ACE)

Actual output looks like:
$ openssl engine padlock
6216:error:2606A074:engine routines:ENGINE_by_id:no such 
engine:eng_list.c:379:id=padlock
Comment 1 Steffen Yount 2005-08-29 19:36:42 EDT
FYI: 
-SuSE Linux 9.2 already includes these patches
-For more info about VIA Padlock see: http://www.linuxjournal.com/article/8042
Comment 2 Tomas Mraz 2005-08-30 02:46:05 EDT
This will be fixed in the next release of Fedora Core by including OpenSSL
library version from the 0.9.8 branch.

Note You need to log in before you can comment on or make changes to this bug.